#common.py:
import numpy as na

host  = '192.168.3.131'
port = 60000

status1 = 9
status2 = 9

rows = 16
cols = 252
roff = 5
coff = 2
numberOfXchanFluxPoints = 30
numOfXchanAvgFile = 3
ntele = 6

dataready1 = 0
dataready2 = 0
myArray = na.zeros((rows, cols), dtype=na.float32)
psArray = na.zeros((rows/2, 1+cols/2), dtype=na.float32)
xchanFlux = [[0]*6]*numberOfXchanFluxPoints       #6 beams


gdtInfo = na.zeros(16, dtype=na.uint32)
delayLinesOffsets = na.zeros(6, dtype=na.float64)
updatedOffsets = na.zeros(6, dtype=na.float64)
weights = na.zeros(15, dtype=na.float32)
opds  = na.zeros(15, dtype=na.float32)

autoThresh = na.zeros(15, dtype=na.float32)
autoThreshApply = na.zeros(15, dtype=na.uint32)
thresh = na.zeros(15, dtype=na.float32)

matrixFringe = na.zeros([6, 6], dtype=na.float32)
matrixGuess = na.zeros([6, 30], dtype=na.float32)
matrixGuessFinal = na.zeros(6, dtype=na.float32)
matrixGuesscount = na.zeros(6, dtype=na.uint32)

matrixDriftMaxCount = 10000
matrixDriftCount = na.zeros(6, dtype=na.uint32)
matrixDrift = na.zeros([6,2,matrixDriftMaxCount], dtype=na.float32)
matrixDriftFinal = na.zeros(6, dtype=na.float32)
xchanpos=[202,214,220,165,189,177]
